astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Cosmological Calculations (`astropy.cosmology`) »
- w0wzCDM

# w0wzCDM

class `astropy.cosmology.core.``w0wzCDM`(H0, Om0, Ode0, w0=-1.0, wz=0.0, Tcmb0=2.725, Neff=3.04, m_nu=<Quantity 0.0 eV>, name=None)

  Bases: `astropy.cosmology.core.FLRW`

  FLRW cosmology with a variable dark energy equation of state and curvature.

  The equation for the dark energy equation of state uses the simple form: w(z) = w_0 + w_z z.

  This form is not recommended for z > 1.

  Parameters:

  H0 : float or astropy.units.Quantity

  > Hubble constant at z = 0. If a float, must be in [km/sec/Mpc]

  Om0 : float

  > Omega matter: density of non-relativistic matter in units of the critical density at z=0.

  Ode0 : float

  > Omega dark energy: density of dark energy in units of the critical density at z=0.

  Ok0 : float

  > Omega curvature: equivalent curvature density in units of the critical density at z=0.

  w0 : float

  > Dark energy equation of state at z=0. This is pressure/density for dark energy in units where c=1. A cosmological constant has w0=-1.0.

  wz : float

  > Derivative of the dark energy equation of state with respect to z.

  Tcmb0 : float or astropy.units.Quantity

  > Temperature of the CMB z=0. If a float, must be in [K]. Default: 2.725.

  Neff : float

  > Effective number of Neutrino species. Default 3.04.

  m_nu : float or ndarray or astropy.units.Quantity

  > Mass of each neutrino species, in eV. If this is a float or scalar Quantity, then all neutrino species are assumed to have that mass. If a ndarray or array Quantity, then these are the values of the mass of each species. The actual number of neutrino species (and hence the number of elements of m_nu if it is not scalar) must be the floor of Neff. Usually this means you must provide three neutrino masses unless you are considering something like a sterile neutrino.

  name : str

  > Optional name for this cosmological object.

  Examples

      >>> from astropy.cosmology import w0wzCDM
      >>> cosmo = w0wzCDM(H0=70, Om0=0.3, Ode0=0.7, w0=-0.9, wz=0.2)

  The comoving distance in Mpc at redshift z:

      >>> z = 0.5
      >>> dc = cosmo.comoving_distance(z)

  Attributes Summary

  `w0` | Dark energy equation of state at z=0
  `wz` | Derivative of the dark energy equation of state w.r.t.

  Methods Summary

  `de_density_scale`(z) | Evaluates the redshift dependence of the dark energy density.
  `w`(z) | Returns dark energy equation of state at redshift `z`.

  Attributes Documentation

  `w0`

    Dark energy equation of state at z=0

  `wz`

    Derivative of the dark energy equation of state w.r.t. z

  Methods Documentation

  `de_density_scale`(z)

    Evaluates the redshift dependence of the dark energy density.

    Parameters:

    z : array_like

    > Input redshifts.

    Returns:

    I : ndarray, or float if input scalar

    > The scaling of the energy density of dark energy with redshift.

    Notes

    The scaling factor, I, is defined by \rho(z) = \rho_0 I, and in this case is given by

    I = \left(1 + z\right)^{3 \left(1 + w_0 - w_z\right)} \exp \left(-3 w_z z\right)

  `w`(z)

    Returns dark energy equation of state at redshift `z`.

    Parameters:

    z : array_like

    > Input redshifts.

    Returns:

    w : ndarray, or float if input scalar

    > The dark energy equation of state

    Notes

    The dark energy equation of state is defined as w(z) = P(z)/\rho(z), where P(z) is the pressure at redshift z and \rho(z) is the density at redshift z, both in units where c=1. Here this is given by w(z) = w_0 + w_z z.